Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::BcastStateRecv Class Reference

BcastStateRecv does the receive part of a broadcast of an object to all nodes. More...

`#include <mstate.h>`

Inheritance diagram for sc::BcastStateRecv:

[legend]
Collaboration diagram for sc::BcastStateRecv:

[legend]
List of all members.

## Public Methods
| BcastStateRecv (const Ref< MessageGrp > &, int source=0)
| Create the BcastStateRecv.
void | source (int s)
| Set the source node.
## Protected Methods
void | next_buffer ()
| Specializations must implement next_buffer().
## Protected Attributes
int | source_

## Detailed Description

BcastStateRecv does the receive part of a broadcast of an object to all nodes.

Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

The documentation for this class was generated from the following file:

- mstate.h